Index: .checkstyle
===================================================================
RCS file: .checkstyle
diff -N .checkstyle
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ .checkstyle	1 Jan 1970 00:00:00 -0000
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<fileset-config file-format-version="1.2.0" simple-config="true">
+  <fileset name="all" enabled="true" check-config-name="OpenCms" local="false">
+    <file-match-pattern match-pattern="." include-pattern="true"/>
+  </fileset>
+</fileset-config>
Index: .classpath
===================================================================
RCS file: .classpath
diff -N .classpath
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ .classpath	1 Jan 1970 00:00:00 -0000
@@ -0,0 +1,61 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="src" path="src-modules"/>
+	<classpathentry kind="src" path="src-components"/>
+	<classpathentry kind="src" path="src-setup"/>
+	<classpathentry excluding="data/**|org/opencms/util/ant/" kind="src" path="test"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
+	<classpathentry kind="lib" path="modules/org.opencms.frontend.layoutpage/resources/system/modules/org.opencms.frontend.layoutpage/lib/freemarker-2.3.6.jar"/>
+	<classpathentry kind="lib" path="lib/compile/ant.jar"/>
+	<classpathentry kind="lib" path="lib/compile/ant-contrib-1.0b1.jar"/>
+	<classpathentry kind="lib" path="lib/compile/ant-opencms-1.1.jar"/>
+	<classpathentry kind="lib" path="lib/compile/jsp-api.jar"/>
+	<classpathentry kind="lib" path="lib/compile/junit-3-8-1.jar"/>
+	<classpathentry kind="lib" path="lib/compile/servlet-api.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/alkacon-diff-0.9.2.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/commons-codec-1.3.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/commons-dbcp-1.2.2.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/commons-digester-1.8.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/dom4j-1.6.1.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/htmlparser-1.6-20060610.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/jakarta-oro-2.0.8.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/jstl-1.1.2.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/jug-lgpl-2.0.0.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/PDFBox-0.7.2.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/poi-2.5.1-final-20040804.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/quartz-1.5.2.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/standard-1.1.2.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/tm-extractors-0.4.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/jtidy-8-svn-2006-05-21b.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/activation-1.1.1.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/alkacon-simapi-0.9.8.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/commons-beanutils-1.8.0.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/commons-collections-3.2.1.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/commons-fileupload-1.2.1.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/commons-httpclient-3.1.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/commons-io-1.4.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/commons-logging-1.1.1.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/jaxen-1.1.1.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/log4j-1.2.15.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/mail-1.4.1.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/xercesImpl-2.9.1.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/xml-apis-2.9.1.jar"/>
+	<classpathentry kind="lib" path="lib/compile/dumbster-1.6.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/lucene-analyzers-2.4.1.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/lucene-core-2.4.1.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/lucene-highlighter-2.4.1.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/lucene-queries-2.4.1.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/lucene-snowball-2.4.1.jar"/>
+	<classpathentry kind="lib" path="modules/org.opencms.frontend.templateone.form/resources/system/modules/org.opencms.frontend.templateone.form/lib/jcaptcha-1.0-all.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/commons-pool-1.5.4.jar"/>
+	<classpathentry kind="lib" path="webapp/setup/database/as400/jt400.jar"/>
+	<classpathentry kind="lib" path="webapp/setup/database/db2/db2jcc_v9.jar"/>
+	<classpathentry kind="lib" path="webapp/setup/database/hsqldb/hsqldb-1.8.0.8.jar"/>
+	<classpathentry kind="lib" path="webapp/setup/database/mssql/mssql-jtds-1.2.jar"/>
+	<classpathentry kind="lib" path="webapp/setup/database/mysql_41/mysql-connector-java-5.0.7-bin.jar"/>
+	<classpathentry kind="lib" path="webapp/setup/database/oracle/ojdbc14-10.2.0.3.jar"/>
+	<classpathentry kind="lib" path="webapp/setup/database/postgresql/postgresql-8.3-603.jdbc3.jar"/>
+	<classpathentry kind="lib" path="lib/runtime/commons-email-1.2.jar"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>
Index: .project
===================================================================
RCS file: .project
diff -N .project
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ .project	1 Jan 1970 00:00:00 -0000
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>opencms-7.5.3</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.atlassw.tools.eclipse.checkstyle.CheckstyleBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>net.sf.eclipsecs.core.CheckstyleBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+		<nature>com.atlassw.tools.eclipse.checkstyle.CheckstyleNature</nature>
+		<nature>net.sf.eclipsecs.core.CheckstyleNature</nature>
+	</natures>
+</projectDescription>
Index: .settings/org.eclipse.jdt.core.prefs
===================================================================
RCS file: .settings/org.eclipse.jdt.core.prefs
diff -N .settings/org.eclipse.jdt.core.prefs
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ .settings/org.eclipse.jdt.core.prefs	1 Jan 1970 00:00:00 -0000
@@ -0,0 +1,70 @@
+#Thu Jan 07 19:55:34 CET 2010
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.5
+org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
+org.eclipse.jdt.core.compiler.compliance=1.5
+org.eclipse.jdt.core.compiler.debug.lineNumber=generate
+org.eclipse.jdt.core.compiler.debug.localVariable=generate
+org.eclipse.jdt.core.compiler.debug.sourceFile=generate
+org.eclipse.jdt.core.compiler.problem.annotationSuperInterface=warning
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.autoboxing=warning
+org.eclipse.jdt.core.compiler.problem.deprecation=warning
+org.eclipse.jdt.core.compiler.problem.deprecationInDeprecatedCode=disabled
+org.eclipse.jdt.core.compiler.problem.deprecationWhenOverridingDeprecatedMethod=enabled
+org.eclipse.jdt.core.compiler.problem.discouragedReference=warning
+org.eclipse.jdt.core.compiler.problem.emptyStatement=warning
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.problem.fallthroughCase=warning
+org.eclipse.jdt.core.compiler.problem.fatalOptionalError=enabled
+org.eclipse.jdt.core.compiler.problem.fieldHiding=warning
+org.eclipse.jdt.core.compiler.problem.finalParameterBound=warning
+org.eclipse.jdt.core.compiler.problem.finallyBlockNotCompletingNormally=warning
+org.eclipse.jdt.core.compiler.problem.forbiddenReference=error
+org.eclipse.jdt.core.compiler.problem.hiddenCatchBlock=warning
+org.eclipse.jdt.core.compiler.problem.incompatibleNonInheritedInterfaceMethod=warning
+org.eclipse.jdt.core.compiler.problem.incompleteEnumSwitch=warning
+org.eclipse.jdt.core.compiler.problem.indirectStaticAccess=warning
+org.eclipse.jdt.core.compiler.problem.localVariableHiding=warning
+org.eclipse.jdt.core.compiler.problem.methodWithConstructorName=warning
+org.eclipse.jdt.core.compiler.problem.missingDeprecatedAnnotation=warning
+org.eclipse.jdt.core.compiler.problem.missingOverrideAnnotation=warning
+org.eclipse.jdt.core.compiler.problem.missingSerialVersion=warning
+org.eclipse.jdt.core.compiler.problem.noEffectAssignment=warning
+org.eclipse.jdt.core.compiler.problem.noImplicitStringConversion=warning
+org.eclipse.jdt.core.compiler.problem.nonExternalizedStringLiteral=ignore
+org.eclipse.jdt.core.compiler.problem.nullReference=warning
+org.eclipse.jdt.core.compiler.problem.overridingPackageDefaultMethod=warning
+org.eclipse.jdt.core.compiler.problem.parameterAssignment=ignore
+org.eclipse.jdt.core.compiler.problem.possibleAccidentalBooleanAssignment=warning
+org.eclipse.jdt.core.compiler.problem.potentialNullReference=warning
+org.eclipse.jdt.core.compiler.problem.rawTypeReference=warning
+org.eclipse.jdt.core.compiler.problem.redundantNullCheck=warning
+org.eclipse.jdt.core.compiler.problem.redundantSuperinterface=warning
+org.eclipse.jdt.core.compiler.problem.specialParameterHidingField=enabled
+org.eclipse.jdt.core.compiler.problem.staticAccessReceiver=warning
+org.eclipse.jdt.core.compiler.problem.suppressWarnings=enabled
+org.eclipse.jdt.core.compiler.problem.syntheticAccessEmulation=warning
+org.eclipse.jdt.core.compiler.problem.typeParameterHiding=warning
+org.eclipse.jdt.core.compiler.problem.uncheckedTypeOperation=warning
+org.eclipse.jdt.core.compiler.problem.undocumentedEmptyBlock=warning
+org.eclipse.jdt.core.compiler.problem.unhandledWarningToken=warning
+org.eclipse.jdt.core.compiler.problem.unnecessaryElse=ignore
+org.eclipse.jdt.core.compiler.problem.unnecessaryTypeCheck=warning
+org.eclipse.jdt.core.compiler.problem.unqualifiedFieldAccess=ignore
+org.eclipse.jdt.core.compiler.problem.unusedDeclaredThrownException=warning
+org.eclipse.jdt.core.compiler.problem.unusedDeclaredThrownExceptionExemptExceptionAndThrowable=enabled
+org.eclipse.jdt.core.compiler.problem.unusedDeclaredThrownExceptionIncludeDocCommentReference=disabled
+org.eclipse.jdt.core.compiler.problem.unusedDeclaredThrownExceptionWhenOverriding=enabled
+org.eclipse.jdt.core.compiler.problem.unusedImport=warning
+org.eclipse.jdt.core.compiler.problem.unusedLabel=warning
+org.eclipse.jdt.core.compiler.problem.unusedLocal=warning
+org.eclipse.jdt.core.compiler.problem.unusedParameter=warning
+org.eclipse.jdt.core.compiler.problem.unusedParameterIncludeDocCommentReference=enabled
+org.eclipse.jdt.core.compiler.problem.unusedParameterWhenImplementingAbstract=disabled
+org.eclipse.jdt.core.compiler.problem.unusedParameterWhenOverridingConcrete=disabled
+org.eclipse.jdt.core.compiler.problem.unusedPrivateMember=warning
+org.eclipse.jdt.core.compiler.problem.unusedWarningToken=warning
+org.eclipse.jdt.core.compiler.problem.varargsArgumentNeedCast=warning
+org.eclipse.jdt.core.compiler.source=1.5
Index: .settings/org.eclipse.jdt.ui.prefs
===================================================================
RCS file: .settings/org.eclipse.jdt.ui.prefs
diff -N .settings/org.eclipse.jdt.ui.prefs
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ .settings/org.eclipse.jdt.ui.prefs	1 Jan 1970 00:00:00 -0000
@@ -0,0 +1,9 @@
+#Thu Jan 07 19:56:06 CET 2010
+cleanup_settings_version=2
+eclipse.preferences.version=1
+formatter_settings_version=11
+internal.default.compliance=default
+org.eclipse.jdt.ui.ignorelowercasenames=true
+org.eclipse.jdt.ui.importorder=com.alkacon;de.alkacon;org.opencms;com.opencms;java;javax;org.apache;org;com;
+org.eclipse.jdt.ui.ondemandthreshold=99
+org.eclipse.jdt.ui.staticondemandthreshold=99
Index: test/test.properties
===================================================================
RCS file: /usr/local/cvs/opencms/test/test.properties,v
retrieving revision 1.35
diff -u -r1.35 test.properties
--- test/test.properties	26 Feb 2009 11:59:18 -0000	1.35
+++ test/test.properties	24 Aug 2010 09:34:13 -0000
@@ -27,5 +27,5 @@
 db.product=hsqldb
 
 # Set the path to the test resources files
-test.data.path=C:\dev\workspace\OpenCmsHead\test\data
-test.webapp.path=C:\dev\workspace\OpenCmsHead\webapp
+test.data.path=test\data
+test.webapp.path=webapp
